# DuratedInputMedia - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.InputMedia / DuratedInputMedia

# DuratedInputMedia

(common) `interface DuratedInputMedia : InputMedia` (source)

### Properties

(common)

#### duration

`abstract val duration: Long?`

### Inheritors

(common)

#### InputMediaAnimation

`data class InputMediaAnimation : InputMedia, SizedInputMedia, DuratedInputMedia, ThumbedInputMedia, CaptionedOutput`

(common)

#### InputMediaAudio

`data class InputMediaAudio : InputMedia, DuratedInputMedia, ThumbedInputMedia, TitledInputMedia, CaptionedOutput, Performerable`

(common)

#### InputMediaVideo

`data class InputMediaVideo : InputMedia, SizedInputMedia, DuratedInputMedia, ThumbedInputMedia, MediaGroupMemberInputMedia`